routes/dashboard.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LocaleController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Accounts\Dashboard\UserController;
use App\Http\Controllers\Accounts\Dashboard\AdminController;
use App\Http\Controllers\Reports\Dashboard\ReportController;
use App\Http\Controllers\Profile\Dashboard\ProfileController;
use App\Http\Controllers\Settings\Dashboard\SettingController;
use App\Http\Controllers\Accounts\Dashboard\CustomerController;
use App\Http\Controllers\Blogs\BlogController;
use App\Http\Controllers\Feedbacks\Dashboard\FeedbackController;
use App\Http\Controllers\Projects\ProjectController;

/*
|--------------------------------------------------------------------------
| Dashboard Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('locale/{locale}', [LocaleController::class, 'update'])
    ->name('locale')
    ->where('locale', '(ar|en)');

Route::get('/', [DashboardController::class, 'index'])->name('home');

Route::prefix('accounts')->group(function () {
    Route::resource('customers', CustomerController::class);
    Route::resource('admins', AdminController::class);
});

Route::patch('users/{user}/activate', [UserController::class, 'activate'])->name('users.activate');

// feedback
Route::resource('feedback', FeedbackController::class)->only('index', 'show', 'destroy');

// Settings
Route::get('settings', [SettingController::class, 'index'])->name('settings.index');
Route::put('settings', [SettingController::class, 'update'])->name('settings.update');

// profile
Route::get('profile', [ProfileController::class, 'index'])->name('profile.index');
Route::put('profile/{user}', [ProfileController::class, 'update'])->name('profile.update');

//reports
Route::get('reports', [ReportController::class, 'index'])->name('reports.index');

Route::resource('projects', ProjectController::class);

Route::resource('blogs', BlogController::class);

routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::middleware('dashboard.locales')->group(function () {
    Auth::routes();
});

Route::get('/', function () {
    return view('welcome');
});

resources/views/dashboard/accounts/admins/partials/actions/create.blade.php
@can('create', \App\Models\Admin::class)
    <a href="{{ route('dashboard.admins.create', request()->only('type')) }}" class="btn btn-outline-success btn-sm">
        <i class="fas fa fa-fw fa-plus"></i>
        @lang('admins.actions.create')
    </a>
@endcan

resources/views/dashboard/accounts/admins/partials/actions/delete.blade.php
@can('delete', $admin)
    <a href="#admin-{{ $admin->id }}-delete-model"
       class="btn btn-outline-danger btn-sm"
       data-toggle="modal">
        <i class="fas fa fa-fw fa-user-times"></i>
    </a>


    <!-- Modal -->
    <div class="modal fade" id="admin-{{ $admin->id }}-delete-model" tabindex="-1" role="dialog"
         aria-labelledby="modal-title-{{ $admin->id }}" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal-title-{{ $admin->id }}">@lang('admins.dialogs.delete.title')</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    @lang('admins.dialogs.delete.info')
                </div>
                <div class="modal-footer">
                    {{ BsForm::delete(route('dashboard.admins.destroy', $admin)) }}
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                        @lang('admins.dialogs.delete.cancel')
                    </button>
                    <button type="submit" class="btn btn-danger">
                        @lang('admins.dialogs.delete.confirm')
                    </button>
                    {{ BsForm::close() }}
                </div>
            </div>
        </div>
    </div>
@else
    <button
        type="button"
        disabled
        class="btn btn-outline-danger btn-sm">
        <i class="fas fa fa-fw fa-user-times"></i>
    </button>
@endcan

resources/views/dashboard/accounts/admins/partials/actions/edit.blade.php
@can('update', $admin)
    <a href="{{ route('dashboard.admins.edit', $admin) }}" class="btn btn-outline-primary btn-sm">
        <i class="fas fa fa-fw fa-user-edit"></i>
    </a>
@endcan

resources/views/dashboard/accounts/admins/partials/actions/show.blade.php
@can('view', $admin)
    <a href="{{ route('dashboard.admins.show', $admin) }}" class="btn btn-outline-dark btn-sm">
        <i class="fas fa fa-fw fa-eye"></i>
    </a>
@endcan